info:
  description: kelvin-bridge-opcua-client
  name: kelvin-bridge-opcua-client
  title: kelvin-bridge-opcua-client
  version: 1.0.4

spec_version: 2.0.0

app:
  type: bridge
  bridge:
    logging_level: DEBUG
    language:
      type: cpp
      cpp:
        dso: kelvin_bridge_opcua_client/kelvin_bridge_opcua_client.so

    configuration:
      connection:
        endpoint: opc.tcp://kelvin-opcua-demo-server.app
        port: 48010
        verify_ssl: false
        security_policy: none
        message_security: none

      authentication:
        type: none

    metrics_map:
      - name: humidity
        asset_name: airconditioner_1
        data_type: raw.float32
        configuration:
          node: ns=3;s=AirConditioner_1.Humidity
          polling_rate: 10
          protocol_type: float32

    system_packages: [libxml2]
